Will AirPort Extreme Base Station work with Windows 7?

  • Asked by William D from Norfolk
  • Jan 14, 2010
QA AirPort Extreme Base Station

QA AirPort Extreme Base Station

Product No Longer Available

1 Answer from the Community

  • Best Answer:

    Yes, but the version of AirPort Utility for Windows that is used must be at least 5.4.2 or higher. The computer used for setup and administration must also meet System Requirements.

    • Answered by Andrew H from Carmel
    • Jan 16, 2010